
=head1 NAME

Tk::Scrolled - Create a widget with attached scrollbar(s)

=for index_group Perl/Tk Constructs

=head1 SYNOPSIS

    $whatever = $parent->Scrolled('Whatever',
				-scrollbars = 'nw',
				... widget options of Whatever here...
				);

=head1 DESCRIPTION

To stop a flood of B<ScrlWhatever> Perl/Tk introcuded the special constructor
B<Scrolled>.  B<Scrolled> creates a widget of the given Class 'Whatever' with
attached L<scrollbar>(s).

=head1 OPTIONS

=over 4

=item -scrollbars

Expects as argument the position where the scrollbars should be
created.  C<'w'>, C<'e'> or C<'n'>, C<'s'> or a combination of
them.  If the one or both positions are prefixed with C<'o'> the
scrollbar will only show up if there is a 'real' need to scroll.

=item all other option

All options beside <-scrollbars> are passed to the 'Whatever' widget
constructor.

=back


=head1 BUGS

If a widget does not support C<-{x,y}scrollcommand> options,
B<Scrolled> does not complain if the specified widget class does
not support them. E.g.,

    $parent->Scrolled('Button', ...)

One does not get an error message or warning when one tries to
configure scrollbars after the widget construction:

    $ascrolled->scrollbars('e')
    $ascrolled->configure(-scrollbars => 'e');


=head1 SEE ALSO

Scrollbar, Tk::Widget.pm(sub Scrollbars), Tk::Frame.pm(sub AddScrollbars)

=cut


